Skip to main content
GET
/
api
/
v1
/
incidents
/
{id}
Get incident details including update timeline
curl --request GET \
  --url https://api.devhelm.io/api/v1/incidents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "incident": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": 123,
      "source": "AUTOMATIC",
      "status": "WATCHING",
      "severity": "DOWN",
      "title": "<string>",
      "triggeredByRule": "<string>",
      "affectedRegions": [
        "<string>"
      ],
      "reopenCount": 123,
      "createdByUserId": 123,
      "statusPageVisible": true,
      "serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalRef": "<string>",
      "affectedComponents": [
        "<string>"
      ],
      "shortlink": "<string>",
      "resolutionReason": "MANUAL",
      "startedAt": "2023-11-07T05:31:56Z",
      "confirmedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "cooldownUntil": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "monitorName": "<string>",
      "serviceName": "<string>",
      "serviceSlug": "<string>",
      "monitorType": "<string>",
      "resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resourceGroupName": "<string>"
    },
    "updates": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "oldStatus": "WATCHING",
        "newStatus": "WATCHING",
        "body": "<string>",
        "createdBy": "SYSTEM",
        "notifySubscribers": true,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

data
object